#pragma once

#include "sample.h"

#include <maps/wikimap/mapspro/libs/assessment/include/unit.h>

namespace maps::wiki::assessment::sampler {

const double EXPERT_UNITS_RATIO = 0.2;
const double INCONSISTENT_UNITS_RATIO = 0.8;
const size_t EXPERT_TASKS_PER_UNIT = 1;

double unitsRatio(Mode mode);
size_t tasksPerUnit(Mode mode);
size_t maxUnits(Mode mode, size_t totalUnitsNumber);
GroupNameToUnits cropGroups(GroupNameToUnits&& groupNameToUnits, double ratio, size_t maxUnits);

} // namespace maps::wiki::assessment::sampler
